clear;clc; close all

% Setting data for SVM

load('normalized_data'); % load previously normalized data

pca = 0;    % 1 - principal component analisys (pca) on

if pca == 1
    X = n_d{1,1};
    Options = statset('TolFun',1e-7);
    [coeffs,scores,latent,tsquares,explained,mu] = pca(X,'NumComponents',3,...
        'Centered',false,'Options',Options);
else
    scores = n_d{1,1};
end

HRF_data = scores; 
NBRID = n_d{1,2};
NBRID = categorical(NBRID,[1 2 3 4 5],{'PBR','ECI','NDA','ANC','ABS'});

HRF_data = array2table(HRF_data);

